/***                               WINDCHILL                            ***/
/*                              For TC compiler                          */
/*                                  M\Cooper                             */
/*                              3138 Foster Ave.                         */
/*                            Baltimore, MD 21224                        */
/*                                                                       */
/*                               Public Domain                           */
/*************************************************************************/

#include <stdio.h>
#include <conio.h>
#include <math.h>

int calculate_windchill( int, int );

void main()

{
   int temperature,
       windspeed,
       windchill;

       clrscr();

       printf( "Enter the temperature (F\370)  " );

       scanf( "%d",&temperature );

       printf( "\nEnter the wind speed (mph)  " );

       scanf( "%d",&windspeed );


       windchill = calculate_windchill( temperature, windspeed );

       printf("\n\nThe windchill is %d F\370.",windchill);
}

int calculate_windchill (int temp, int wind_vel)

{
   double cf;
   int c_temp;


      cf = .0817 * ( 3.71 * sqrt( (double)wind_vel ) + 5.81
           - .25* (double)wind_vel ) * ( (double)temp - 91.4 ) + 91.4; 



      if (cf >= 0)
          cf += .5 ;
      else
          cf -= .5 ;


      c_temp = cf ;

      return ( c_temp );
}


